Net::DNS::RR::DHCID(3)

NAME
Net::DNS::RR::IPSECKEY - DNS DHCID resource record

SYNOPSIS
"use Net::DNS::RR";

DESCRIPTION
CLASS for the DHCID RR.

METHODS

  identifiertype
Returns the value of the identifiertype field.

  identifiertype
Returns the value of the digesttype field.

  digest
Returns the value of the digest in base64 encoding.

  digestbin
Returns the value of the digest.

TODO/NOTES
While the various accessor methods can be used to read and set values the setting of values is discouraged as those are not properly tested.

There should be a creator method that takes the identifier and fqnds as input and generates all fields with some knowledge of RFC4703.

COPYRIGHT
Copyright (c) 2009 NLnet LAbs, Olaf Kolkman.

"All rights reserved, This program is free software; you may redistribute it and/or modify it under the same terms as Perl itself.

SEE ALSO
perl(1), Net::DNS, Net::DNS::Resolver, Net::DNS::Packet, Net::DNS::Header, Net::DNS::Question, Net::DNS::RR, RFC4701